//---------------------------------------------------------------------------

#ifndef ToDoListFrmH
#define ToDoListFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include "TdbDataSet.hpp"
#include "TdbEnumValueSet.hpp"
#include <DB.hpp>
#include <QDBGrids.hpp>
#include <QExtCtrls.hpp>
#include <QGrids.hpp>
#include "TdbQuery.hpp"
//---------------------------------------------------------------------------
class TToDoListForm : public TForm
{
__published:	// IDE-managed Components
	TDataSource *DataSource1;
	TDBGrid *DBGrid1;
	TTdbEnumValueSet *ImportanceEnumValueSet;
	TTdbEnumValueSet *StateEnumValueSet;
	TPanel *Panel1;
	TPanel *Panel2;
	TTdbQuery *GridQuery;
	TTdbStringField *GridQueryDescription;
	TTdbStringField *GridQueryImportance;
	TTdbStringField *GridQueryState;
	TDateField *GridQueryDeadline;
	TAutoIncField *GridQueryRecordId;
	TMemoField *GridQueryRemarks;
	TStringField *GridQueryImportanceLookup;
	TStringField *GridQueryStateLookup;
	TButton *RemarksButton;
	TLabel *Label1;
	TComboBox *ViewComboBox;
	TLabel *Label2;
	void __fastcall RemarksButtonClick(TObject *Sender);
	void __fastcall ViewComboBoxChange(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TToDoListForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TToDoListForm *ToDoListForm;
//---------------------------------------------------------------------------
#endif
